Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160754 - Transaction Check Error: when doing yum install
Summary: Transaction Check Error: when doing yum install
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tetex
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 04:22 UTC by Chuck Adams
Modified: 2013-07-02 23:07 UTC (History)
3 users (show)

Fixed In Version: 3.0-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-08 13:49:19 UTC


Attachments (Terms of Use)

Description Chuck Adams 2005-06-17 04:22:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
yum install tetex-beamer

get error message

Transaction Check Error:

/usr/share/texmf/tex/latex/xcolor/svgnam.def from tetex-xcolor-2.02-3.fc4
    conflicts with tetex-latex-3.0-4

same with file xcolor.sty in same directory

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.yum install tetex-beamer
2.
3.
  

Actual Results:  get the Transaction Check Error:  message above


Expected Results:  Installation without the error message.

Additional info:

Comment 1 Jindrich Novy 2005-06-17 09:01:08 UTC
Yes, the conflict is possible, but it should be resolved on the tetex-beamer
side, so you need to contact tetex-beamer maintainer in Extras, AFAIK, he's Jose
Pedro Oliveira <jpo at di.uminho.pt> to let it be fixed.

Jindrich

Comment 2 Jose Pedro Oliveira 2005-06-17 15:55:35 UTC
Jindrich,

That's not so simple.

The problem occurs with tetex-beamer and its two requirements: tetex-pgf and
tetex-xcolor.  When these LaTeX packages were added to fedora extras (FC3)
they weren't included with tetex (version 2 at the time).

FC-4 ships with tetex 3 which includes beamer, pgf, and xcolor as core packages.
I have already request several weeks ago (2005-05-19) the removal of the
following packages - tetex-{beamer,pgf,xcolor} - from the Fedora Extras FC-4
and devel branches but they are still there.

The correct solution to this problem will also require changes to the tetex
specfile.  I think it will have to be something like:

  Obsoletes: tetex-beamer
  Obsoletes: tetex-pgf
  Obsoletes: tetex-xcolor

Can this done?

jpo

Related/duplicated problem:
* #158168: tetex-xcolor conflict
  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=158168

Comment 3 Michael Schwendt 2005-06-17 17:48:42 UTC
Meanwhile request the removal of the packages from the repository. This has been
done for several other packages just recently via the FC4Status page in the Wiki
(see page changelog).

Comment 4 Jose Pedro Oliveira 2005-06-17 18:28:19 UTC
Michael,

I already placed the request a month ago in the CVSSyncNeeded page
( http://fedoraproject.org/wiki/Extras/CVSSyncNeeded ) and a couple of
weeks ago I updated it again when the FC-4 branch was created.

As far as I can tell this is the correct page.

Comment 5 Michael Schwendt 2005-06-17 18:43:23 UTC
But if I tell you...? ;-)


Comment 6 Jindrich Novy 2005-06-20 09:05:29 UTC
Jose,

thanks for making things clear to me. I'm not aware of the teTeX Extras package
changes at the moment so I'm happy for a new information. I'll add the obsoletes
to the tetex spec.

Comment 7 Jose Pedro Oliveira 2005-07-26 16:13:24 UTC
Thanks to Michael the three tetex packages (tetex-{xcolor,pgf,beamer}) were
finally removed from the Extras' mirrors (FC-4 branch).

Comment 8 Fedora Update System 2005-09-19 19:43:18 UTC
From User-Agent: XML-RPC

tetex-3.0-6.FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.